Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 595270 - xrandr call crashes the X server
xrandr call crashes the X server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-vmware (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
:
Depends On: 595250
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 04:53 EDT by Ales Kozumplik
Modified: 2014-09-30 19:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: xorg-x11-drv-vmware-1.7.6-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 595250
Environment:
Last Closed: 2010-11-11 10:02:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.log with teh crash on rhel6 (21.43 KB, text/plain)
2010-05-24 04:55 EDT, Ales Kozumplik
no flags Details

  None (edit)
Description Ales Kozumplik 2010-05-24 04:53:57 EDT
I am also seeing this on rhel6.

+++ This bug was initially created as a clone of Bug #595250 +++

This happens with rawhide anaconda boot, but I perhaps it could be reproduced on any rawhide installation.

Steps to Reproduce:
1. boot the installer
2. scp-in rawhide version of xrandr
3. xrandr -d :1 -s 640x480
  
Actual results:
X server crashes with sigsegv.

Expected results:
definitely not a sigsegv.

Additional info:
log attached.
Comment 2 Ales Kozumplik 2010-05-24 04:55:20 EDT
Created attachment 416061 [details]
X.log with teh crash on rhel6
Comment 3 Ray Strode [halfline] 2010-05-24 14:25:28 EDT
So you're running xrandr when X isn't on the foreground vt?

does adding a "sleep 10;" in front of your command, then manually switching to the display in that 10 second interval and waiting work? or does that also a trigger a crash?
Comment 4 Ales Kozumplik 2010-05-25 01:55:19 EDT
Hi Ray,

yes, that works.

Some additional information:
- I can only see the SEGV on a vmware virtual machine. When I switch to the X vt, the resolution changes nicely.
- On a physical x86_64 machine, attempting the mode switch from the command line outputs "Failed to change the screen configuration!". Again, it works when X is in the foreground.

Ales
Comment 5 Ray Strode [halfline] 2010-05-25 10:36:52 EDT
okay so this may be some weird interaction with the vmware driver and X.  I imagine running xrandr on a display that isn't active is fairly untested territory.
Comment 6 Matěj Cepl 2010-05-26 09:55:59 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 RHEL Product and Program Management 2010-06-07 12:16:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 8 Adam Jackson 2010-06-08 13:31:34 EDT
* Mon May 24 2010 Adam Jackson <ajax@redhat.com> 1.7.6-6
- xserver-1.7.6-randr-vt-switch.patch: Fix crash when trying to change RANDR
  config while VT switched away. (#586926)
- xserver-1.1.1-pam.patch: Port the PAM enablement from EL5. (#582710)

MODIFIED
Comment 12 Ales Kozumplik 2010-11-10 08:37:25 EST
I am helping Tomas Pelka verify this bug: just tried with RC4 RHEL6. I can confirm that calling 'xrandr -d :1 -s 640x480' from the command line no longer crashes X, although it outputs "Failed to change the screen configuration!" and does not change the resolution (which could be the desired behavior on vmware).
Comment 13 Tomas Pelka 2010-11-10 08:44:48 EST
Big kudos to Ales, moving to VERIFIED on xorg-x11-drv-vmware-10.16.7-2.1.el6.
Comment 14 releng-rhel@redhat.com 2010-11-11 10:02:27 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.